import { __decorate } from "tslib";
import { customElement, FASTElement, observable } from '@microsoft/fast-element';
import { EventName } from '../../types';
import { applyStyleChanges } from '../../utils/utils';
import { ColorStyles as styles } from './color-tokens.styles';
import { ColorTemplate as template } from './color-tokens.template';
let ColorTokens = class ColorTokens extends FASTElement {
    connectedCallback() {
        super.connectedCallback();
        document.body.addEventListener(EventName.STYLES_CHANGED, (e) => {
            const detail = e.detail;
            applyStyleChanges(detail, this.provider);
        });
    }
};
__decorate([
    observable
], ColorTokens.prototype, "provider", void 0);
ColorTokens = __decorate([
    customElement({
        name: 'color-tokens',
        template,
        styles,
    })
], ColorTokens);
export { ColorTokens };
